Subject: [PATCH net 0/2] l3mdev: Fix ip tunnel case after recent l3mdev change

From: David Ahern <[email-masked]>
Date: Wed, 13 Apr 2022 11:43:18 -0600

Second patch provides a fix for ip tunnels after the recent l3mdev change
that avoids touching the oif in the flow struct. First patch preemptively
provides a fix to an existing function that the second patch uses.

David Ahern (2):
  l3mdev: l3mdev_master_upper_ifindex_by_index_rcu should be using
    netdev_master_upper_dev_get_rcu
  net: Handle l3mdev in ip_tunnel_init_flow

 drivers/net/ethernet/mellanox/mlxsw/spectrum_span.c |  2 +-
 include/net/ip_tunnels.h                            | 11 +++++++++--
 net/ipv4/ip_gre.c                                   |  4 ++--
 net/ipv4/ip_tunnel.c                                |  9 +++++----
 net/l3mdev/l3mdev.c                                 |  2 +-
 5 files changed, 18 insertions(+), 10 deletions(-)

-- 
2.24.3 (Apple Git-128)